| Kinetis SDK API Reference Manual 1.0.0-beta Freescale Semiconductor, Inc.

- Introduction
- Related Pages
- API Usage

- Data Structures
- Data Fields

- All
- Variables

- a
- b
- c
- d
- e
- f
- g
- h
- i
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- y

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - i -

- id_filter : flexcan_id_table_t
- id_filter_number : flexcan_rx_fifo_config_t
- idleLine : uart_interrupt_config_t , lpuart_interrupt_config_t
- idleLineDetect : lpuart_status_t , uart_status_flag_all_t
- idleLineType : uart_idle_line_config_t , lpuart_idle_line_config_t
- index : sdhc_command_t
- input_address : snd_state_t
- input_curbuff : audio_buffer_t
- input_index : audio_buffer_t
- instance : lpuart_state_t , sai_handler_t , sdhc_host_t , uart_state_t , dspi_master_state_t , dspi_slave_state_t , ftm_user_config_t
- interrupt : gpio_input_pin_t
- irq : sdhc_host_t
- irqSync : dspi_master_state_t
- is_extended_mb : flexcan_id_table_t
- is_remote_mb : flexcan_id_table_t
- is_rx_fifo_needed : flexcan_user_config_t
- is_rx_mb_needed : flexcan_user_config_t
- isAsynClockEnabled : adc_extend_config_t
- isChipSelectContinuous : dspi_master_state_t , dspi_master_user_config_t , dspi_command_config_t
- isContinuousEnabled : adc_user_config_t
- isDifferentialEnabled : adc_channel_config_t
- isEmpty : msg_queue_t
- isEnableContinuousMode : edma_config_t
- isEnabled : dspi_master_config_t , dspi_slave_config_t , spi_config_t
- isEnableDebug : edma_config_t
- isEnableMinorLoopping : edma_config_t
- isEnableRoundrobinArbitration : edma_config_t
- isEndOfQueue : dspi_command_config_t
- isHaltOnError : edma_config_t
- isHighSpeedEnabled : adc_extend_config_t
- isHwAverageEnabled : adc_extend_config_t
- isHwCompareEnabled : adc_extend_config_t
- isHwCompareGreaterEnabled : adc_extend_config_t
- isHwCompareRangeEnabled : adc_extend_config_t
- isHwTriggerEnabled : adc_extend_config_t
- isInitialized : enet_dev_if_t
- isInterruptEnabled : adc_channel_config_t , pit_user_config_t
- isIpCheckEnabled : enet_config_tx_accelerator_t
- isIpcheckEnabled : enet_config_rx_accelerator_t
- isLocked : lock_object_t
- isLongSampleEnabled : adc_extend_config_t
- isLoopEnabled : enet_phy_config_t
- isLowPowerEnabled : adc_extend_config_t
- isMacCheckEnabled : enet_config_rx_accelerator_t
- isMaster : dspi_shared_irq_config_t
- isModifiedTimingFormatEnabled : dspi_master_config_t
- isPadRemoveEnabled : enet_config_rx_accelerator_t
- isPassiveFilterEnabled : gpio_input_pin_t
- isPhyAutoDiscover : enet_mac_config_t
- isProtocolCheckEnabled : enet_config_tx_accelerator_t , enet_config_rx_accelerator_t
- isPullEnable : gpio_input_pin_t
- isReceiveAsync : uart_state_t , lpuart_state_t
- isReceiveInProgress : lpuart_state_t , uart_state_t
- isRxAccelEnabled : enet_mac_config_t
- isRxFifoDisabled : dspi_master_config_t , dspi_slave_config_t
- isRxFull : enet_mac_context_t
- isSckContinuous : dspi_master_config_t , dspi_master_user_config_t
- isSel : sim_clock_source_value_t
- isShift16Enabled : enet_config_rx_accelerator_t , enet_config_tx_accelerator_t
- isSlaveEnabled : enet_config_ptp_timer_t
- isSoftwareOutput : ftm_channel_info_t
- isStoreAndFwEnabled : enet_mac_config_t
- isStoreForwardEnabled : enet_config_tx_fifo_t
- isTimerChained : pit_user_config_t
- isTransferAsync : dspi_master_state_t
- isTransferInProgress : dspi_master_state_t
- isTransmitAsync : lpuart_state_t , uart_state_t
- isTransmitInProgress : lpuart_state_t , uart_state_t
- isTxAccelEnabled : enet_mac_config_t
- isTxFifoDisabled : dspi_slave_config_t , dspi_master_config_t
- isTxFull : enet_mac_context_t
- isVlanEnabled : enet_mac_config_t
- isVlanTagEnabled : enet_mac_context_t
- isWaiting : lock_object_t , sync_object_t , event_object_t